package com.up.zpb.mapper;

import java.util.List;

import com.up.zpb.vo.fourhundred.FourHundred;

public interface FourHundredMapper {
   
	/**
	 * 根据主键查找对象  
	 * @param id
	 * @return
	 */
	FourHundred findEntityByLinkPhone(String linkPhone);
	
	
	FourHundred findEntityByIvrKey(String ivrKey);
	
   /**
    * 保存 
    * @param entity
    */
   void saveFourHundred(FourHundred entity);
   /**
    * 删除   
    * @param id
    */
   void deleteByLinkPhone(String linkPhone);
   
   void delWrongData();
   
   
   List<String> listOnlinePhone();
   
   List<String> listOfflinePhone();
   
   
   List<FourHundred> findList();
   
   
   String findGongHaoMax();
   
   String findIvrKeyMax();

   void updateFourHundred(FourHundred entity);


   void deleteByDept(String deptId);
   
}