package com.up.zpb.mapper;

import java.util.List;
import java.util.Map;

import com.up.zpb.vo.CallAgentInfo;
import com.up.zpb.vo.CallRecording;
import com.up.zpb.vo.CallRequestLog;
import com.up.zpb.vo.Loan;

public interface LoanMapper {
   
	/**
	 * 根据主键查找对象  
	 * @param id
	 * @return
	 */
	Loan findEntityById(String id);
   
	Loan findEntityByPhone(Map<String,Object> map);
	
   /**
    * 分页列表
    * @param map
    * @return
    */
   List<Map<String,Object>> selectPage(Map<String,Object> map);
   /**
    * 保存 
    * @param entity
    */
   void saveLoan(Loan entity);
   /**
    * 修改   
    * @param entity
    */
   void updateLoan(Loan entity);
   /**
    * 删除   
    * @param id
    */
   void deleteByPrimaryKey(String id);
   
   void saveCallRequestLog(CallRequestLog entity);
   
   CallAgentInfo findZuoXiInfoByPhone(String mlsAgentPhone);
   
   void saveCallRecording(CallRecording record);
   
   void updateCallRecording(CallRecording record);
   
   void updateCallRecordingById(CallRecording record);
   
   
   CallRecording  findCallRecordingEntityById(String uuid); 
   
   CallRecording findRecordByMap(Map<String,Object> map);
   
}