package com.up.zpb.mapper;

import java.util.List;
import java.util.Map;

import com.up.zpb.vo.LookShop;

public interface LookShopMapper {
   
	/**
	 * 根据主键查找对象  
	 * @param id
	 * @return
	 */
	LookShop findEntityById(String id);
   
   /**
    * 分页列表
    * @param map
    * @return
    */
   List<Map<String,Object>> selectPage(Map<String,Object> map);
   /**
    * 保存 
    * @param entity
    */
   void saveLookShop(LookShop entity);
   /**
    * 修改   
    * @param entity
    */
   void updateLookShop(LookShop entity);
   /**
    * 删除   
    * @param id
    */
   void deleteByPrimaryKey(String id);
   
   List<Map<String,Object>> findMyLookAllPage(Map<String,Object> map);
}