package com.up.zpb.mapper;

import java.util.List;
import java.util.Map;

public interface MessageMapper {

	/**
	 * 获取未读消息总数
	 * @param map
	 * @return
	 */
	int getCount(Map<String,Object> map);
	
	/**
	 * 获取消息列表
	 * @param map
	 * @return
	 */
	List<Map<String,Object>> selectMsgList(Map<String,Object> map);
	
	/**
	 * 修改消息状态为已读
	 * @param map
	 */
	void updateMsgStatus(Map<String,Object> map);

	/**
	 * 修改当前所在城市的所有消息为已读
	 * @param parameters
	 * @return
	 */
	void updateAll(Map<String,Object> map);
}
