package com.up.zpb.mapper;

import java.util.List;
import java.util.Map;

import com.up.zpb.vo.Product;

/**
 * 会员产品
 * @author gust
 *
 */
public interface ProductMapper {

	/**
	 * 获取会员产品列表
	 * @param map
	 * @return
	 */
	List<Map<String,Object>> selectProductList(Map<String,Object> map);

	/**
	 * 获取支付金额
	 * @param parameters
	 * @return
	 */
	Double selectById(Map<String, Object> parameters);
	
	/**
	 * 获取产品信息
	 * @param parameters
	 * @return
	 */
	Product selectProduct(Map<String, Object> parameters);
}
