package com.up.zpb.service;

import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import com.up.zpb.vo.ResultObject;
import com.up.zpb.vo.fourhundred.IvrKeyShow;

@Transactional(propagation=Propagation.SUPPORTS)
public interface FourHundredService {

	ResultObject findEntityByLinkPhone(String linkPhone);

	ResultObject saveFourHundred();

	ResultObject deleteByLinkPhone(String linkPhone);

	void taskBinding();

	void taskAnsweredList();

	IvrKeyShow findIvrKeyShow(String linkPhone);

	void bangDingOne(String linkPhone);

	void taskNoAnsweredList();

	void batchGuHuaToDept();



}
