package com.up.zpb.service;

import java.util.Map;

import com.up.zpb.vo.ResultObject;

public interface PhotoService {
	
	/**
	 * 校验手机号
	 * @param parameters
	 * @return
	 */
	ResultObject verifyPhone(Map<String, Object> parameters);

	/**
	 * 保存拍店提交信息
	 * @param parameters
	 * @return
	 */
	ResultObject savePhotoInfo(Map<String, Object> parameters);

	/**
	 * 获取拍店记录列表
	 * @param parameters
	 * @return
	 */
	ResultObject getPhotoList(Map<String, Object> parameters);

	/**
	 * 获取拍店奖励规则
	 * @param parameters
	 * @return
	 */
	ResultObject getPhotoRules(Map<String, Object> parameters);

}