package com.up.zpb.service;

import java.util.Map;

import com.up.zpb.vo.ResultObject;

public interface ShopPublishService {

	/**
	 * 
	 * @param parameters
	 * @return
	 */
	ResultObject getPublishCount(Map<String, Object> parameters);

	/**
	 * 保存发布信息
	 * @param parameters
	 * @return
	 */
	ResultObject createShop(Map<String, Object> parameters);

	/**
	 * 获取发布页面下拉筛选值
	 * @param parameters
	 * @return
	 */
	ResultObject getAreas(Map<String, Object> parameters);

	/**
	 * 发布列表
	 * @param parameters
	 * @return
	 */
	ResultObject getPublishList(Map<String, Object> parameters);

	/**
	 * 发布列表删除
	 * @param parameters
	 * @return
	 */
	ResultObject delShop(Map<String, Object> parameters);

}
