package com.up.zpb.util;

public interface Constant {
	/** 成功 */
	public static final int	CODE_SUCCESS = 101;
	/** 失败 */
	public static final int	CODE_EXCEPTION = 102;
	/** 验证码错误 */
	public static final int	VALIDCODE_ERROR = 103;
	/** 密码错误 */
	public static final int	PASSWORD_ERROR = 104;
	/** 用户未注册 */
	public static final int	RETRIEVE_ERROR = 105;
	/** 用户已注册 */
	public static final int	ALREADY_ERROR = 106;
	/** 用户已被冻结 */
	public static final int	FROZEN_ERROR = 107;
	/** 操作失败 */
	public static final int	FROZEN_CAOZUO_ERROR = 108;
	/** 未登录 */
	public static final int	CODE_NOT_LOGIN = 201;
	/** Token 失效 */
	public static final int	CODE_TOKEN_EFFICACY	 = 202;
	/** 非法访问 */
	public static final int	CODE_UNAUTHORIZED_ACCESS = 203;
	/** 上送参数有误 */
	public static final int	CODE_PARAM_ERROR = 301;
	/** 警告提示信息 */
	public static final int	CODE_WARN = 401;
	/** 必传参数为空 */
	public static final int CODE_PARAM_NULL = 402;

	public static String SQL_TIME = "sql_time";

	public static String METHOD_TIME = "method_time";

	public static final int PAGE_SIZE = 10;

	public static String LOGIN_VALIDCODE_KEY="UP_ZPB_API_LOGIN_VALIDCODE_";

	public static String MLS_REGISTER_VALIDCODE_KEY = "MLS_REGISTER_VALIDCODE_KEY_";

	public static String LOGIN_VALIDCODE_KEY_ERROR="UP_ZPB_API_LOGIN_VALIDCODE_ERROR_";

	public static final String APP_HEADER_ACCESS_TOKEN="token";

	public static final String APP_HEADER_DEVICE_ID="device-id";

	public static final String APP_HEADER_DEVICE_NAME="device-name";

	public static final String APP_HEADER_SOURCE="source";

	public static final String APP_HEADER_OS="os";

	public static final String APP_HEADER_APP_VERSION="app-version";

	public static final String APP_HEADER_NETWORK="network";
	
	public static final String HEADER_CHANNEL="channel";

	public static String CERTIFICATION_VALIDCODE_KEY="UP_ZPB_API_CERTIFICATION_VALIDCODE_";

	public static String CERTIFICATION_VALIDCODE_KEY_ERROR="UP_ZPB_API_CERTIFICATION_VALIDCODE_ERROR_";

	/**登录短信模版号*/
	public static final String LOGIN_SMS_TEMPLATE_CODE ="SMS_91965001";

	//客源签约 ${name}上传了客户${nameTwo}的签约信息
	public static final String MLS_KEYUANQIANYUE_CODE ="SMS_172220286";

	//客源终止 ${name}终止客户${nameTwo}的跟进
	public static final String MLS_KEYUANZHONGZHI_CODE ="SMS_172205301";

	//客源提醒结佣 ${name}提醒您支付合作佣金${money}
	public static final String MLS_KEYUANTIXINGJIEYONG_CODE ="SMS_172205307";

	//客源结佣 ${name}已经结佣成功
	public static final String MLS_KEYUANJIEYONG_CODE ="SMS_172220292";

	//房源结佣 ${name}已经结佣成功
	public static final String MLS_FANGYUANJIEYONG_CODE ="SMS_172205295";

	//房源提醒结佣 ${name}提醒您支付合作佣金${money}
	public static final String MLS_FANGYUANTIXINGJIEYONG_CODE ="SMS_172220280";

	//房源签约 ${name}上传了房源${number}的签约信息
	public static final String MLS_FANGYUANQIANYUE_CODE ="SMS_172205284";

	//TODO 缺一个房源终止的短信，审核拒绝
	
	
	
	//尊敬的${publishUserName}，刚才有人看到您的房/客源后想联系您，您没接听，建议您将${showTel}即优铺中继号码保存到电话本，以免错过接听。
	public static final String MLS_TO_PUBLISH_USER_MSG ="SMS_XXX";
	//您联系的房/客源联系人可能正忙，建议您5分钟后再试。
	public static final String MLS_TO_ZHUJIAO_USER_MSG ="SMS_XXX";

	public static final String PIC_DOMAIN = "img_domain";
	
	//channel=0-pc  1-ios  2-android
	public static final String CHANNEL_IOS ="1";
	public static final String CHANNEL_ANDROID ="2";
	public static final String CHANNEL_PC ="0";
	

	/**
	 * 写字楼类型: 普通办公、共享办公
	 */
	public static final String OFFICE_TYPE = "510";
	/**
	 * 商铺类型:
	 */
	public static final String SHOP_TYPE = "133";

	//数据类型(shop_condition)：1-日租 2-月租  3-转让费  4-面积 5-总价 6-均价',
	public static final Integer CONDITION_TYPE_DAILY = 1;
	public static final Integer CONDITION_TYPE_MONTH = 2;
	public static final Integer CONDITION_TYPE_TRANSFEE = 3;
	public static final Integer CONDITION_TYPE_AREA = 4;
	public static final Integer CONDITION_TYPE_TOTAL = 5;
	public static final Integer CONDITION_TYPE_AVG = 6;

	/**
	 * 商铺指数详情
	 */
	public static final String SPZSXQ = "UP_ZPB_API_SPZSXQ_";

	public static final String SYXQ = "UP_ZPB_API_SYXQ_";


	/**
	 * 官网首页
	 */
	public static final String SHOW_INFO_PC = "SHOW_INFO_PC_";
	/**
	 * APP首页
	 */
	public static final String SHOW_INFO_APP = "SHOW_INFO_APP_";
	
	public static final String JOIN = "_JOIN_";

	/**
	 * 商铺详情
	 */
	//public static final String DETAILS = "DETAILS_";

	/**
	 * 商铺列表
	 */
	public static final String SHOP_LIST = "SHOP_LIST_";
	/**
	 * 品牌搜索条件
	 */
	public static final String FIIND_BRAND_SEARCH="BRAND_SEARCH_";
	/**
	 * 品牌详情
	 */
	public static final String BRAND_DETAIL = "BRAND_DETAIL_";
	
	/**
	 * 品牌热门推荐
	 */
	public static final String HOT_BRAND_LIST="BRAND_HOT_LIST";
	
	
	
	
	
	
	
	/** 
     * 缓存时效 10分钟
     */  
    public static final int CACHE_EXP_10_MIN = 60*10; 
	/** 
     * 缓存时效 30分钟
     */  
    public static final int CACHE_EXP_30_MIN = 60*30; 

	/** 
     * 缓存时效60分钟
     */  
    public static final int CACHE_EXP_ONE_HOUR = 60*60;  
	
	/** 
     * 缓存时效 1天 
     */  
    public static final int CACHE_EXP_DAY = 3600 * 24;  
  
    /** 
     * 缓存时效 1周 
     */  
    public static final int CACHE_EXP_WEEK = 3600 * 24 * 7;  
  
    /** 
     * 缓存时效 1月 
     */  
    public static final int CACHE_EXP_MONTH = 3600 * 24 * 30 * 7;  
  
    /** 
     * 缓存时效 永久 
     */  
    public static final int CACHE_EXP_FOREVER = 0;  
    
    

}