package com.up.zpb.controller.api;

import com.up.zpb.service.MemberOrderService;
import com.up.zpb.util.Constant;
import com.up.zpb.util.ServletUtils;
import com.up.zpb.vo.ResultObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * 会员查询到期时间
 */
@RestController
@RequestMapping("/memberOrder")
public class MemberOrderController {

    @Autowired
    private MemberOrderService memberOrderService;

    @PostMapping("/auth/info")
    public ResultObject InfoEndTime(HttpServletRequest request) {
        ResultObject resultObject = new ResultObject();
        Map<String, Object> parameters = ServletUtils.getParameters(request);
        try {
            return memberOrderService.getInfoEndTime(parameters);
        } catch (Exception e) {
            resultObject.setCode(Constant.CODE_PARAM_NULL);
            resultObject.setMessage(e.getMessage());
            return resultObject;
        }
    }
}
