package com.up.zpb.controller.api;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import com.alibaba.fastjson.JSON;
import com.up.zpb.service.NewsService;
import com.up.zpb.vo.ResultObject;
import com.up.zpb.vo.qn.MessagePo;



@Controller
@RequestMapping("/target")
public class QingNiuController {

	private static final Logger logger = LoggerFactory.getLogger(QingNiuController.class);
	public final static String entId = "1910080003";//【企业编号】企业开户信息中有
	public final static String cusShowTel="01051348027";//外显号码 
	public final static String zuoXi="25781428";//坐席
	
	@Autowired
    private NewsService  newsService;
	
	/**
	 * 未接通回调消息推送 GET方式
	 * @param msgEntity
	 * @return
	 */
	@ResponseBody
	@RequestMapping(value = "/test_get", method = RequestMethod.GET)
    public ResultObject testGet(MessagePo msgEntity) {
		ResultObject resultObject=new ResultObject();
		logger.info(">>>>>CCOD4.5数据推送 start>>>>>>>>>接收到的消息为:" + JSON.toJSONString(msgEntity));
		resultObject=this.newsService.qnCallBack(msgEntity);
        logger.info(">>>>>CCOD4.5数据推送 end>>>>>>>>>:" + JSON.toJSONString(resultObject));
        return resultObject;
    }
    
    
    
}
