package com.up.zpb.hz.enums;

public enum SignStatusEnum {
//0-未签署  2:签署完成 3:失败 4:拒签
    SUCCEED(2,"签署完成"),
    DEFEATED(3,"失败"),
    REFUSE(4,"拒签");

    private Integer value;
    private String name;

    public static SignStatusEnum codeOf(String value) {
        for(SignStatusEnum a: SignStatusEnum.values()){
            if(a.getValue().equals(value)){
                return a;
            }
        }
        return null;
    }

    SignStatusEnum(Integer value, String name) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getValue() {
        return value;
    }

    public void setValue(Integer value) {
        this.value = value;
    }

}
