package com.up.zpb.mapper;

import java.util.List;
import java.util.Map;

import com.up.zpb.vo.OneHandShop;

public interface ArticleMapper {

	/**
	 * 根据文章id查询文章详情
	 * @param parameters
	 * @return
	 */
	Map<String,Object> selectDetailById(Map<String, Object> parameters);
	
	void updateViews(String titleId);

	/**
	 * 获取首页最新三条轮播资讯
	 * @param parameters
	 * @return
	 */
	List<Map<String, Object>> selectLimit3(Map<String, Object> parameters);

	/**
	 * 官网获取文章列表分页展示
	 * @param parameters
	 * @return
	 */
	List<Map<String, Object>> getIndexAticleList(Map<String, Object> parameters);
	
	List<Map<String, Object>> getAticleList(Map<String, Object> parameters);
	
	
	List<OneHandShop> selectOneHandShop(Map<String, Object> parameters);
	
	List<OneHandShop> selectTwoHandShop(Map<String, Object> parameters);
}
