package com.up.zpb.mapper;

import java.util.List;
import java.util.Map;

import com.up.zpb.vo.Customer;

/**
 * 委托客户
 * @author gust
 *
 */
public interface CustomerMapper1 {

	/**
	 * 查询是否已经委托过
	 * @param parameters
	 * @return
	 */
	int getCount(Map<String, Object> parameters);

	/**
	 * 保存委托对象
	 * @param customer
	 */
	void insert(Customer customer);
	
	/**
	 * 24小时内是否重复提交
	 * @param parameters
	 * @return
	 */
	int get24HCount(Map<String, Object> parameters);

	/**
	 * 更新委托信息
	 * @param parameters
	 */
	void update(Map<String, Object> parameters);

}
