package com.up.zpb.mapper;

import java.util.Map;

import com.up.zpb.vo.SolicitingRecord;

public interface SolicitingRecordMapper {

	/**
	 * 查看当天是否查看过该商铺
	 * @param parameters
	 * @return
	 */
	int selectByPhone(Map<String, Object> parameters);
	
	/**
	 * 查看当天的查看次数
	 * @param parameters
	 * @return
	 */
	int selectCurrentCount(Map<String, Object> parameters);

	/**
	 * 新增浏览次数
	 * @param solicitingRecord
	 */
	void insert(SolicitingRecord solicitingRecord);
}
