package com.up.zpb.service.impl;

import java.util.List;
import java.util.Map;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import com.up.zpb.mapper.ShopAcreageMapper;
import com.up.zpb.service.ShopAcreageService;
import com.up.zpb.vo.ShopAcreage;

/**
 * 商铺面积分布
 * @author gust
 *
 */
@Service
@Transactional(propagation=Propagation.SUPPORTS)
public class ShopAcreageServiceImpl implements ShopAcreageService{
	
	private static final Logger logger = LoggerFactory.getLogger(ShopAcreageServiceImpl.class);
	
	@Autowired
	ShopAcreageMapper shopAcreageMapper;
	
	@Override
	public List<ShopAcreage> selectByCityId(Map<String, Object> parameters) {
		return shopAcreageMapper.selectByCityId(parameters);
	}

}
