package com.up.zpb.vo;

import java.util.Date;
import java.util.List;

/**
 * 品牌信息表
 * @author gust
 *
 */
public class Brand {

	private Integer id;
	private String name;
	private String imgPath;
	private Integer brandTypeId;
	private Integer brandTypeTwo;
	private String companyName;
	private String cooperationLower;
	private String cooperationUpper;
	private String areaLower;
	private String areaUpper;
	private String provinceId;
	private String cityId;
	private String advFlag;
	private String sort="1";
	private String createBy;
	private Date createTime=new Date();
	private String updateBy;
	private String updateTime;
	private String position;
	private String brandNature;
	private String description;
	private String imgs;

	private List<BrandArea> brandAreaList;
	private List<BrandLinkman> linkManList;
    //===============================处理原参数
    private String brandBusiness;//业态一二级
    private String brandContactsArea;//拓展区域：1-110000;1-120000;
    
    private String mobile1;
    private String userName1;
    private String  post1;
    private String brandContactsArea1;//联系人1 区域
    
    private String mobile2;
    private String userName2;
    private String  post2;
    private String brandContactsArea2;//联系人2
    
    private String brandName;
    private String logo;
    private String brandPositioning;
    
    //============================== 
    
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getImgPath() {
		return imgPath;
	}
	public void setImgPath(String imgPath) {
		this.imgPath = imgPath;
	}
	
	public Integer getBrandTypeId() {
		return brandTypeId;
	}
	public void setBrandTypeId(Integer brandTypeId) {
		this.brandTypeId = brandTypeId;
	}
	public Integer getBrandTypeTwo() {
		return brandTypeTwo;
	}
	public void setBrandTypeTwo(Integer brandTypeTwo) {
		this.brandTypeTwo = brandTypeTwo;
	}
	public String getCompanyName() {
		return companyName;
	}
	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}
	public String getCooperationLower() {
		return cooperationLower;
	}
	public void setCooperationLower(String cooperationLower) {
		this.cooperationLower = cooperationLower;
	}
	public String getCooperationUpper() {
		return cooperationUpper;
	}
	public void setCooperationUpper(String cooperationUpper) {
		this.cooperationUpper = cooperationUpper;
	}
	public String getAreaLower() {
		return areaLower;
	}
	public void setAreaLower(String areaLower) {
		this.areaLower = areaLower;
	}
	public String getAreaUpper() {
		return areaUpper;
	}
	public void setAreaUpper(String areaUpper) {
		this.areaUpper = areaUpper;
	}
	public String getProvinceId() {
		return provinceId;
	}
	public void setProvinceId(String provinceId) {
		this.provinceId = provinceId;
	}
	public String getCityId() {
		return cityId;
	}
	public void setCityId(String cityId) {
		this.cityId = cityId;
	}
	public String getAdvFlag() {
		return advFlag;
	}
	public void setAdvFlag(String advFlag) {
		this.advFlag = advFlag;
	}
	public String getSort() {
		return sort;
	}
	public void setSort(String sort) {
		this.sort = sort;
	}
	public String getCreateBy() {
		return createBy;
	}
	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public String getUpdateBy() {
		return updateBy;
	}
	public void setUpdateBy(String updateBy) {
		this.updateBy = updateBy;
	}
	public String getUpdateTime() {
		return updateTime;
	}
	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}
	public String getPosition() {
		return position;
	}
	public void setPosition(String position) {
		this.position = position;
	}
	public String getBrandNature() {
		return brandNature;
	}
	public void setBrandNature(String brandNature) {
		this.brandNature = brandNature;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getImgs() {
		return imgs;
	}
	public void setImgs(String imgs) {
		this.imgs = imgs;
	}
	public List<BrandArea> getBrandAreaList() {
		return brandAreaList;
	}
	public void setBrandAreaList(List<BrandArea> brandAreaList) {
		this.brandAreaList = brandAreaList;
	}
	public String getBrandBusiness() {
		return brandBusiness;
	}
	public void setBrandBusiness(String brandBusiness) {
		this.brandBusiness = brandBusiness;
	}
	public String getBrandContactsArea() {
		return brandContactsArea;
	}
	public void setBrandContactsArea(String brandContactsArea) {
		this.brandContactsArea = brandContactsArea;
	}
	public List<BrandLinkman> getLinkManList() {
		return linkManList;
	}
	public void setLinkManList(List<BrandLinkman> linkManList) {
		this.linkManList = linkManList;
	}
	public String getMobile1() {
		return mobile1;
	}
	public void setMobile1(String mobile1) {
		this.mobile1 = mobile1;
	}
	public String getMobile2() {
		return mobile2;
	}
	public void setMobile2(String mobile2) {
		this.mobile2 = mobile2;
	}
	public String getBrandName() {
		return brandName;
	}
	public void setBrandName(String brandName) {
		this.brandName = brandName;
	}
	public String getLogo() {
		return logo;
	}
	public void setLogo(String logo) {
		this.logo = logo;
	}
	public String getBrandPositioning() {
		return brandPositioning;
	}
	public void setBrandPositioning(String brandPositioning) {
		this.brandPositioning = brandPositioning;
	}
	public String getUserName1() {
		return userName1;
	}
	public void setUserName1(String userName1) {
		this.userName1 = userName1;
	}
	public String getUserName2() {
		return userName2;
	}
	public void setUserName2(String userName2) {
		this.userName2 = userName2;
	}
	public String getBrandContactsArea1() {
		return brandContactsArea1;
	}
	public void setBrandContactsArea1(String brandContactsArea1) {
		this.brandContactsArea1 = brandContactsArea1;
	}
	public String getBrandContactsArea2() {
		return brandContactsArea2;
	}
	public void setBrandContactsArea2(String brandContactsArea2) {
		this.brandContactsArea2 = brandContactsArea2;
	}
	public String getPost1() {
		return post1;
	}
	public void setPost1(String post1) {
		this.post1 = post1;
	}
	public String getPost2() {
		return post2;
	}
	public void setPost2(String post2) {
		this.post2 = post2;
	}
    
    
   
    

    
}
