package com.up.zpb.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class Office implements Serializable {
    /**
	 * 
	 */
	private static final long serialVersionUID = -2486823705405520173L;

    private Integer id;
    private String realAddress;
    private String rentType;
    private String type;
    private String name;
    private BigDecimal unitPrice=new BigDecimal(0.00);
    private BigDecimal   avePrice=new BigDecimal(0.00);
    private String floorTotal;
    private String  floorCurrent;
    private String  station1;
    private String  station2;
    private String developer;
    private BigDecimal  feeProperty=new BigDecimal(0.00);
    private String decorate;
    private String  register="1";
    private String  registers;//app不能识别特殊字段
    private String separate;
    private String profile;
    private String  imgs;
    private String  siteImgs;
    private String planeImgs;
    private String imgPaper;
    private String  entrustPaper;
    private String commission;
    private BigDecimal commissionValue=new BigDecimal(0.00);
    private String commissionType="1";
    private String expired;
    private String linkman;
    private String phone;
    private BigDecimal feeService=new BigDecimal(0.00);
    private String onlineStatus="0";
    private Date updateTime;
    private String areaId;
    private String businessAreaId;
    private String roadAreaId;
    private BigDecimal dailyRent=new BigDecimal(0.00);
    private BigDecimal  buildArea=new BigDecimal(0.00);
    private String officeNumber;
    private String createType;
    private Date createTime;
    private String cityId;
    private String agentId;
    private Date distTime;
    private String distStatus;
    private BigDecimal monthlyRent=new BigDecimal(0.00);
    private String ifIndex;
    private Date  openTime;
    private String payMethod;
    private String coverImg;
    private String  positionx;
    private String  positiony;
    private String supportProfile;
    private String singleFamily;
    private String introduce;
    private String shopHeight;
    private String channel;
    private BigDecimal reward=new BigDecimal(0.00);
    
    
    private String title;
    private String titleSub;
    private String titlePc;
    private String titlePcSub;
    private String areaName;//非持久化字段-区域
    private String regionName;//非持久化字段-商圈
    
    
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getRealAddress() {
		return realAddress;
	}
	public void setRealAddress(String realAddress) {
		this.realAddress = realAddress;
	}
	public String getRentType() {
		return rentType;
	}
	public void setRentType(String rentType) {
		this.rentType = rentType;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public BigDecimal getUnitPrice() {
		return unitPrice;
	}
	public void setUnitPrice(BigDecimal unitPrice) {
		this.unitPrice = unitPrice;
	}
	public BigDecimal getAvePrice() {
		return avePrice;
	}
	public void setAvePrice(BigDecimal avePrice) {
		this.avePrice = avePrice;
	}
	public String getFloorTotal() {
		return floorTotal;
	}
	public void setFloorTotal(String floorTotal) {
		this.floorTotal = floorTotal;
	}
	public String getFloorCurrent() {
		return floorCurrent;
	}
	public void setFloorCurrent(String floorCurrent) {
		this.floorCurrent = floorCurrent;
	}
	public String getStation1() {
		return station1;
	}
	public void setStation1(String station1) {
		this.station1 = station1;
	}
	public String getStation2() {
		return station2;
	}
	public void setStation2(String station2) {
		this.station2 = station2;
	}
	public String getDeveloper() {
		return developer;
	}
	public void setDeveloper(String developer) {
		this.developer = developer;
	}
	public BigDecimal getFeeProperty() {
		return feeProperty;
	}
	public void setFeeProperty(BigDecimal feeProperty) {
		this.feeProperty = feeProperty;
	}
	public String getDecorate() {
		return decorate;
	}
	public void setDecorate(String decorate) {
		this.decorate = decorate;
	}
	public String getRegister() {
		return register;
	}
	public void setRegister(String register) {
		this.register = register;
	}
	public String getSeparate() {
		return separate;
	}
	public void setSeparate(String separate) {
		this.separate = separate;
	}
	public String getProfile() {
		return profile;
	}
	public void setProfile(String profile) {
		this.profile = profile;
	}
	public String getImgs() {
		return imgs;
	}
	public void setImgs(String imgs) {
		this.imgs = imgs;
	}
	public String getSiteImgs() {
		return siteImgs;
	}
	public void setSiteImgs(String siteImgs) {
		this.siteImgs = siteImgs;
	}
	public String getPlaneImgs() {
		return planeImgs;
	}
	public void setPlaneImgs(String planeImgs) {
		this.planeImgs = planeImgs;
	}
	public String getImgPaper() {
		return imgPaper;
	}
	public void setImgPaper(String imgPaper) {
		this.imgPaper = imgPaper;
	}
	public String getEntrustPaper() {
		return entrustPaper;
	}
	public void setEntrustPaper(String entrustPaper) {
		this.entrustPaper = entrustPaper;
	}
	
	public String getCommission() {
		return commission;
	}
	public void setCommission(String commission) {
		this.commission = commission;
	}
	public BigDecimal getCommissionValue() {
		return commissionValue;
	}
	public void setCommissionValue(BigDecimal commissionValue) {
		this.commissionValue = commissionValue;
	}
	public String getExpired() {
		return expired;
	}
	public void setExpired(String expired) {
		this.expired = expired;
	}
	public String getLinkman() {
		return linkman;
	}
	public void setLinkman(String linkman) {
		this.linkman = linkman;
	}
	public String getPhone() {
		return phone;
	}
	public void setPhone(String phone) {
		this.phone = phone;
	}
	public BigDecimal getFeeService() {
		return feeService;
	}
	public void setFeeService(BigDecimal feeService) {
		this.feeService = feeService;
	}
	public String getOnlineStatus() {
		return onlineStatus;
	}
	public void setOnlineStatus(String onlineStatus) {
		this.onlineStatus = onlineStatus;
	}
	public Date getUpdateTime() {
		return updateTime;
	}
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	public String getAreaId() {
		return areaId;
	}
	public void setAreaId(String areaId) {
		this.areaId = areaId;
	}
	public String getBusinessAreaId() {
		return businessAreaId;
	}
	public void setBusinessAreaId(String businessAreaId) {
		this.businessAreaId = businessAreaId;
	}
	public String getRoadAreaId() {
		return roadAreaId;
	}
	public void setRoadAreaId(String roadAreaId) {
		this.roadAreaId = roadAreaId;
	}
	public BigDecimal getDailyRent() {
		return dailyRent;
	}
	public void setDailyRent(BigDecimal dailyRent) {
		this.dailyRent = dailyRent;
	}
	public BigDecimal getBuildArea() {
		return buildArea;
	}
	public void setBuildArea(BigDecimal buildArea) {
		this.buildArea = buildArea;
	}
	public String getOfficeNumber() {
		return officeNumber;
	}
	public void setOfficeNumber(String officeNumber) {
		this.officeNumber = officeNumber;
	}
	public String getCreateType() {
		return createType;
	}
	public void setCreateType(String createType) {
		this.createType = createType;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public String getCityId() {
		return cityId;
	}
	public void setCityId(String cityId) {
		this.cityId = cityId;
	}
	public String getAgentId() {
		return agentId;
	}
	public void setAgentId(String agentId) {
		this.agentId = agentId;
	}
	public Date getDistTime() {
		return distTime;
	}
	public void setDistTime(Date distTime) {
		this.distTime = distTime;
	}
	public String getDistStatus() {
		return distStatus;
	}
	public void setDistStatus(String distStatus) {
		this.distStatus = distStatus;
	}
	public BigDecimal getMonthlyRent() {
		return monthlyRent;
	}
	public void setMonthlyRent(BigDecimal monthlyRent) {
		this.monthlyRent = monthlyRent;
	}
	public String getIfIndex() {
		return ifIndex;
	}
	public void setIfIndex(String ifIndex) {
		this.ifIndex = ifIndex;
	}
	public Date getOpenTime() {
		return openTime;
	}
	public void setOpenTime(Date openTime) {
		this.openTime = openTime;
	}
	public String getPayMethod() {
		return payMethod;
	}
	public void setPayMethod(String payMethod) {
		this.payMethod = payMethod;
	}
	public String getCoverImg() {
		return coverImg;
	}
	public void setCoverImg(String coverImg) {
		this.coverImg = coverImg;
	}
	public String getPositionx() {
		return positionx;
	}
	public void setPositionx(String positionx) {
		this.positionx = positionx;
	}
	public String getPositiony() {
		return positiony;
	}
	public void setPositiony(String positiony) {
		this.positiony = positiony;
	}
	public String getSupportProfile() {
		return supportProfile;
	}
	public void setSupportProfile(String supportProfile) {
		this.supportProfile = supportProfile;
	}
	public String getSingleFamily() {
		return singleFamily;
	}
	public void setSingleFamily(String singleFamily) {
		this.singleFamily = singleFamily;
	}
	public String getIntroduce() {
		return introduce;
	}
	public void setIntroduce(String introduce) {
		this.introduce = introduce;
	}
	public BigDecimal getReward() {
		return reward;
	}
	public void setReward(BigDecimal reward) {
		this.reward = reward;
	}
	public String getShopHeight() {
		return shopHeight;
	}
	public void setShopHeight(String shopHeight) {
		this.shopHeight = shopHeight;
	}
	public String getRegisters() {
		return registers;
	}
	public void setRegisters(String registers) {
		this.registers = registers;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getTitleSub() {
		return titleSub;
	}
	public void setTitleSub(String titleSub) {
		this.titleSub = titleSub;
	}
	public String getTitlePc() {
		return titlePc;
	}
	public void setTitlePc(String titlePc) {
		this.titlePc = titlePc;
	}
	public String getTitlePcSub() {
		return titlePcSub;
	}
	public void setTitlePcSub(String titlePcSub) {
		this.titlePcSub = titlePcSub;
	}
	public String getAreaName() {
		return areaName;
	}
	public void setAreaName(String areaName) {
		this.areaName = areaName;
	}
	public String getRegionName() {
		return regionName;
	}
	public void setRegionName(String regionName) {
		this.regionName = regionName;
	}
	public String getCommissionType() {
		return commissionType;
	}
	public void setCommissionType(String commissionType) {
		this.commissionType = commissionType;
	}
	public String getChannel() {
		return channel;
	}
	public void setChannel(String channel) {
		this.channel = channel;
	}
	
    

}