package com.up.zpb.vo;

import java.util.Date;

/**
 * 商铺条件筛选
 * @author gust
 *
 */
public class ShopCondition {
	
	/**
	 * 主键id 
	 */
	private Integer id;
	
	/**
	 * 数据类型：1-日租 2-  3-  4-面积 5-总价 6-均价
	 */
	private Integer type;

	/**
	 * 显示文本
	 */
	private String showText;

	/**
	 * 价格区间低
	 */
	private Double priceLow;

	/**
	 * 价格区间高
	 */
	private Double priceHigh;

	/**
	 * 排序
	 */
	private Integer sort;
	
	/**
	 * 创建时间
	 */
	private Date createTime;
	
	/**
	 * 更新时间
	 */
	private Date updateTime;
	
	/**
	 * 省id
	 */
	private Integer provinceId;
	
	/**
	 * 市id
	 */
	private Integer cityId;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getShowText() {
		return showText;
	}

	public void setShowText(String showText) {
		this.showText = showText;
	}

	public Double getPriceLow() {
		return priceLow;
	}

	public void setPriceLow(Double priceLow) {
		this.priceLow = priceLow;
	}

	public Double getPriceHigh() {
		return priceHigh;
	}

	public void setPriceHigh(Double priceHigh) {
		this.priceHigh = priceHigh;
	}

	public Integer getSort() {
		return sort;
	}

	public void setSort(Integer sort) {
		this.sort = sort;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Integer getProvinceId() {
		return provinceId;
	}

	public void setProvinceId(Integer provinceId) {
		this.provinceId = provinceId;
	}

	public Integer getCityId() {
		return cityId;
	}

	public void setCityId(Integer cityId) {
		this.cityId = cityId;
	}

}
