package com.up.zpb.vo.enums;

public class ProjectEnum {



	//订单状态： 0-终止 1-审核 2-报备 3-到访 4-认购 5-签约 6-结佣 7-完成
    public enum OrderStatus {
        ORDER_JIESU("0", "终止"), ORDER_AUDIT("1", "审核"), ORDER_BAOBEI("2", "联系"),
        ORDER_DAOFANG("3", "到访"), ORDER_RENGOU("4", "认购"), ORDER_SIGN("5", "签约"),
        ORDER_JIEYONG("6", "结佣"), ORDER_COMPLETE("7", "完成");

        private String name;
        private String value;

        public static OrderStatus codeOf(String value) {
            for(OrderStatus a:OrderStatus.values()){
                if(a.getValue().equals(value)){
                    return a;
                }
            }
            return null;
        }

        OrderStatus(String value, String name) {
            this.name = name;
            this.value = value;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }
    }
    
    
    
    //1-商铺 2-写字楼 3-客源
    public enum ProjectType {
        SHOP("1", "商铺"), OFFICE("2", "写字楼"), CUSTOMER("3", "客源");

        private String name;
        private String value;

        public static ProjectType codeOf(String value) {
            for(ProjectType a:ProjectType.values()){
                if(a.getValue().equals(value)){
                    return a;
                }
            }
            return null;
        }

        ProjectType(String value, String name) {
            this.name = name;
            this.value = value;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }
    }
    
    //1-商铺 2-写字楼 3-客源
    public enum ProjectTypeRedis {
        SHOP("1", "SHOP_INFO_"), OFFICE("2", "OFFICE_INFO_"), CUSTOMER("3", "CUSTOMER_INFO_");

        private String name;
        private String value;

        public static ProjectTypeRedis codeOf(String value) {
            for(ProjectTypeRedis a:ProjectTypeRedis.values()){
                if(a.getValue().equals(value)){
                    return a;
                }
            }
            return null;
        }

        ProjectTypeRedis(String value, String name) {
            this.name = name;
            this.value = value;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }
    }
    
    
    
    //租售类型(1-出租；2-出售；3-新盘出租 4-新盘出售)
    public enum RentType {
    	RENT("1", "出租"), SALE("2", "出售"), NEWS_RENT("3", "新盘出租"), NEWS_SALE("4", "新盘出售");

        private String name;
        private String value;

        public static RentType codeOf(String value) {
            for(RentType a:RentType.values()){
                if(a.getValue().equals(value)){
                    return a;
                }
            }
            return null;
        }

        RentType(String value, String name) {
            this.name = name;
            this.value = value;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }
    }
    
    
    
    
    
}
