package com.up.zpb.vo.enums;

public class ShopEnum {

	//标签：eg：可明火、近地铁
	public static final String SHOP_LABEL_KEY = "136";
	//配套设施：eg：天然气，详情页用
	public static final String SHOP_MATCHE_KEY = "135";
	//商铺类型
	public static final String SHOP_TYPE = "511";
	
	//dictionary字典项中 534 为新盘面积 复选
	public static final String NEW_ACREAGE = "534";
	
	public static final String FIND_SHOP_RENT_SEARCH = "TITLE_SHOP_RENT_SEARCH_";
	public static final String FIIND_SHOP_NEW_SEARCH = "TITLE_SHOP_NEW_SEARCH_";
	public static final String FIND_SHOP_SALE_SEARCH = "TITLE_SHOP_SALE_SEARCH_";
	
	
	//租售类型(1-出租；2-出售；3-新盘出租 4-新盘出售)
    public enum RentType {
    	RENT("1", "出租"), SALE("2", "出售"), NEWS_RENT("3", "新盘出租"), NEWS_SALE("4", "新盘出售");

        private String name;
        private String value;

        public static RentType codeOf(String value) {
            for(RentType a:RentType.values()){
                if(a.getValue().equals(value)){
                    return a;
                }
            }
            return null;
        }

        RentType(String value, String name) {
            this.name = name;
            this.value = value;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }
    }
    
    //委托类型:1-商铺求购 2-商铺求租 3-商业新盘求购 4-商业新盘求租
    public enum LookShopTypes {
    	LOOK_SALE("1", "商铺求购"), lOOK_RENT("2", "商铺求租"), LOOK_NEWS_SALE("3", "商业新盘求购"), LOOK_NEWS_RENT("4", "商业新盘求租");

        private String name;
        private String value;

        public static LookShopTypes codeOf(String value) {
            for(LookShopTypes a:LookShopTypes.values()){
                if(a.getValue().equals(value)){
                    return a;
                }
            }
            return null;
        }

        LookShopTypes(String value, String name) {
            this.name = name;
            this.value = value;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }
    }
    
    
    
    
}
